Bug 176553 - games/euchre: Update to version 0.8
Summary: games/euchre: Update to version 0.8
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-02-28 18:10 UTC by tkato432
Modified: 2013-03-26 04:40 UTC (History)
0 users

See Also:


Attachments
file.diff (14.30 KB, patch)
2013-02-28 18:10 UTC, tkato432
no flags Details | Diff
games_euchre.diff (16.76 KB, patch)
2013-03-06 17:45 UTC, tkato432
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description tkato432 2013-02-28 18:10:09 UTC
- Update to version 0.8

Remove file:
files/patch-cplusplus
files/patch-src::lib::Options.cpp
files/std-namespace.h
Comment 1 Edwin Groothuis freebsd_committer 2013-02-28 18:12:40 UTC
Responsible Changed
From-To: freebsd-ports-bugs->araujo

araujo@ wants this submitter's PRs (via the GNATS Auto Assign Tool)
Comment 2 Martin Wilke freebsd_committer 2013-03-01 15:05:11 UTC
Responsible Changed
From-To: araujo->miwi

I'll take it.
Comment 3 Martin Wilke freebsd_committer 2013-03-01 18:55:22 UTC
State Changed
From-To: open->feedback

build fails: 
http://miwibox.org/tb/index.php?action=describe_port&id=1954
Comment 4 tkato432 2013-03-06 17:45:13 UTC
Here is the corrected patch.
Comment 5 dfilter service freebsd_committer 2013-03-26 04:32:11 UTC
Author: miwi
Date: Tue Mar 26 04:32:02 2013
New Revision: 315255
URL: http://svnweb.freebsd.org/changeset/ports/315255

Log:
  - Update to 0.8
  
  PR:		176553
  Submitted by:	ports fury

Deleted:
  head/games/euchre/files/patch-cplusplus
  head/games/euchre/files/patch-src::lib::Options.cpp
  head/games/euchre/files/std-namespace.h
Modified:
  head/games/euchre/Makefile   (contents, props changed)
  head/games/euchre/distinfo   (contents, props changed)

Modified: head/games/euchre/Makefile
==============================================================================
--- head/games/euchre/Makefile	Tue Mar 26 01:13:34 2013	(r315254)
+++ head/games/euchre/Makefile	Tue Mar 26 04:32:02 2013	(r315255)
@@ -1,28 +1,27 @@
-# New ports collection Makefile for:	euchre
-# Date created:				23 July 2002
-# Whom:					Frank Laszlo <laszlof@freebsdmatrix.net>
-#
+# Created by: Frank Laszlo <laszlof@freebsdmatrix.net>
 # $FreeBSD$
-#
 
 PORTNAME=	euchre
-PORTVERSION=	0.7
-PORTREVISION=	4
+PORTVERSION=	0.8
 CATEGORIES=	games
 MASTER_SITES=	SF/${PORTNAME}/${PORTNAME}/${PORTNAME}-${PORTVERSION}
 
 MAINTAINER=	ports@FreeBSD.org
 COMMENT=	Very popular card game with variable skill levels
 
-PLIST_FILES=	bin/euchre
-USE_AUTOTOOLS=	automake14 autoconf213
-USE_GNOME=	gtk12
-CFLAGS+=	-include "${FILESDIR}/std-namespace.h" -Werror
+LICENSE=	GPLv2 # (or later)
+
+USE_GNOME=	gtk20
+GNU_CONFIGURE=	yes
+CONFIGURE_ARGS=	--disable-silent-rules
 MAKE_JOBS_SAFE=	yes
 
+PLIST_FILES=	bin/euchre
+
+DESKTOP_ENTRIES="Euchre" "" "" "${PORTNAME}" "" true
+
 post-patch:
-	${REINPLACE_CMD} 's,char,const char,'	\
-		${WRKSRC}/src/pixmaps/*.xpm	\
-		${WRKSRC}/src/pixmaps/pixmaps.?pp
+	@${REINPLACE_CMD} -e \
+		'/^AM_/s|-Werror||' ${WRKSRC}/configure
 
 .include <bsd.port.mk>

Modified: head/games/euchre/distinfo
==============================================================================
--- head/games/euchre/distinfo	Tue Mar 26 01:13:34 2013	(r315254)
+++ head/games/euchre/distinfo	Tue Mar 26 04:32:02 2013	(r315255)
@@ -1,2 +1,2 @@
-SHA256 (euchre-0.7.tar.gz) = 65f9324b21f0ca14e4ae42871b1fe56cad52b94aa49f9f4a1643f9377c1e23f4
-SIZE (euchre-0.7.tar.gz) = 181863
+SHA256 (euchre-0.8.tar.gz) = c339d29ea6837f344b98134ecdd7aa52fb958454bd4dd6145430b197752ed78b
+SIZE (euchre-0.8.tar.gz) = 213490
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 6 Martin Wilke freebsd_committer 2013-03-26 04:32:15 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!